PLplot: wxPLplotstream Class Reference

PLplot 5.15.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
wxPLplotstream Class Reference

wxPLplotstream is inherited from plstream, which is the C++ interface More...

`#include "wxPLplotstream.h"`

Inheritance diagram for wxPLplotstream:

## Public Member Functions
| wxPLplotstream ()
| Constructor. More...
| wxPLplotstream (wxDC *dc, int width, int height, int style=wxPLPLOT_NONE)
| Constructor. More...
void | Create (wxDC *dc, int width, int height, int style)
| Called from the constructor or can be called by the user if the default constructor is used. More...
| ~wxPLplotstream ()
| Destructor, although we have no resources to free. More...
void | set_stream ()
| Calls some code before every PLplot command. More...
void | SetSize (int width, int height)
| Set new size of plot area. More...
void | RenewPlot ()
| Redo plot and update dc. More...
void | SetDC (wxDC *dc)
| Set a new dc to write to. More...
void | ImportBuffer (void *buffer, size_t size)
| Import a buffer of plplot commands. More...
void | AppendBuffer (void *buffer, size_t size)
| Append a buffer of plplot commands. More...
void | SetFixedAspectRatio (bool fixed)
| Set Fixed aspect ratio of the plot. More...
bool | IsValid ()
Public Member Functions inherited from plstream
| plstream (void)
| plstream (plstream *pls)
| plstream (PLS::stream_id sid, PLINT strm=0)
| plstream (PLINT _stream)
| plstream (PLINT nx, PLINT ny, const char *driver=NULL, const char *file=NULL)
| plstream (PLINT nx, PLINT ny, PLINT r, PLINT g, PLINT b, const char *driver=NULL, const char *file=NULL)
virtual | ~plstream (void)
void | adv (PLINT page)
void | arc (PLFLT x, PLFLT y, PLFLT a, PLFLT b, PLFLT angle1, PLFLT angle2, PLFLT rotate, PLBOOL fill)
void | vect (const PLFLT *const *u, const PLFLT *const *v, PLINT nx, PLINT ny, PLFLT scale, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | svect (const PLFLT *arrow_x=NULL, const PLFLT *arrow_y=NULL, PLINT npts=0, bool fill=false)
void | axes (PLFLT x0, PLFLT y0, const char *xopt, PLFLT xtick, PLINT nxsub, const char *yopt, PLFLT ytick, PLINT nysub)
void | bin (PLINT nbin, const PLFLT *x, const PLFLT *y, PLINT center)
void | bop (void)
void | box (const char *xopt, PLFLT xtick, PLINT nxsub, const char *yopt, PLFLT ytick, PLINT nysub)
void | box3 (const char *xopt, const char *xlabel, PLFLT xtick, PLINT nsubx, const char *yopt, const char *ylabel, PLFLT ytick, PLINT nsuby, const char *zopt, const char *zlabel, PLFLT ztick, PLINT nsubz)
void | btime (PLINT &year, PLINT &month, PLINT &day, PLINT &hour, PLINT &min, PLFLT &sec, PLFLT ctime)
void | calc_world (PLFLT rx, PLFLT ry, PLFLT &wx, PLFLT &wy, PLINT &window)
void | clear (void)
void | col0 (PLINT icol0)
void | col (PLcolor c)
void | col1 (PLFLT c)
void | configtime (PLFLT scale, PLFLT offset1, PLFLT offset2, PLINT ccontrol, PLBOOL ifbtime_offset, PLINT year, PLINT month, PLINT day, PLINT hour, PLINT min, PLFLT sec)
void | cont (const PLFLT *const *f, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, const PLFLT *clevel, PLINT nlevel, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | fcont (PLFLT(*f2eval)(PLINT, PLINT, PLPointer), PLPointer f2eval_data, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, const PLFLT *clevel, PLINT nlevel, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | cpstrm (plstream &pls, bool flags)
void | ctime (PLINT year, PLINT month, PLINT day, PLINT hour, PLINT min, PLFLT sec, PLFLT &ctime)
void | did2pc (PLFLT &xmin, PLFLT &ymin, PLFLT &xmax, PLFLT &ymax)
void | dip2dc (PLFLT &xmin, PLFLT &ymin, PLFLT &xmax, PLFLT &ymax)
void | env (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLINT just, PLINT axis)
void | env0 (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLINT just, PLINT axis)
void | eop (void)
void | errx (PLINT n, const PLFLT *xmin, const PLFLT *xmax, const PLFLT *y)
void | erry (PLINT n, const PLFLT *x, const PLFLT *ymin, const PLFLT *ymax)
void | famadv (void)
void | fill (PLINT n, const PLFLT *x, const PLFLT *y)
void | fill3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z)
void | flush (void)
void | font (PLINT ifont)
void | fontld (PLINT fnt)
void | gchr (PLFLT &p_def, PLFLT &p_ht)
void | gcol0 (PLINT icol0, PLINT &r, PLINT &g, PLINT &b)
void | gcol0a (PLINT icol0, PLINT &r, PLINT &g, PLINT &b, PLFLT &a)
void | gcolbg (PLINT &r, PLINT &g, PLINT &b)
void | gcolbga (PLINT &r, PLINT &g, PLINT &b, PLFLT &a)
void | gcompression (PLINT &compression)
void | gdidev (PLFLT &mar, PLFLT &aspect, PLFLT &jx, PLFLT &jy)
void | gdiori (PLFLT &rot)
void | gdiplt (PLFLT &xmin, PLFLT &ymin, PLFLT &xmax, PLFLT &ymax)
void | gfci (PLUNICODE &pfci)
void | gfam (PLINT &fam, PLINT &num, PLINT &bmax)
void | gfnam (char *fnam)
void | gfont (PLINT &family, PLINT &style, PLINT &weight)
void | glevel (PLINT &p_level)
void | gpage (PLFLT &xp, PLFLT &yp, PLINT &xleng, PLINT &yleng, PLINT &xoff, PLINT &yoff)
void | gra (void)
void | gradient (PLINT n, const PLFLT *x, const PLFLT *y, PLFLT angle)
void | griddata (const PLFLT *x, const PLFLT *y, const PLFLT *z, PLINT npts, const PLFLT *xg, PLINT nptsx, const PLFLT *yg, PLINT nptsy, PLFLT **zg, PLINT type, PLFLT data)
void | gspa (PLFLT &xmin, PLFLT &xmax, PLFLT &ymin, PLFLT &ymax)
void | gver (char *p_ver)
void | gvpd (PLFLT &xmin, PLFLT &xmax, PLFLT &ymin, PLFLT &ymax)
void | gvpw (PLFLT &xmin, PLFLT &xmax, PLFLT &ymin, PLFLT &ymax)
void | gxax (PLINT &digmax, PLINT &digits)
void | gyax (PLINT &digmax, PLINT &digits)
void | gzax (PLINT &digmax, PLINT &digits)
void | hist (PLINT n, const PLFLT *data, PLFLT datmin, PLFLT datmax, PLINT nbin, PLINT oldwin)
void | init (void)
void | join (PLFLT x1, PLFLT y1, PLFLT x2, PLFLT y2)
void | lab (const char *xlabel, const char *ylabel, const char *tlabel)
void | legend (PLFLT *p_legend_width, PLFLT *p_legend_height, PLINT opt, PLINT position, PLFLT x, PLFLT y, PLFLT plot_width, PLINT bg_color, PLINT bb_color, PLINT bb_style, PLINT nrow, PLINT ncolumn, PLINT nlegend, const PLINT *opt_array, PLFLT text_offset, PLFLT text_scale, PLFLT text_spacing, PLFLT text_justification, const PLINT *text_colors, const char *const *text, const PLINT *box_colors, const PLINT *box_patterns, const PLFLT *box_scales, const PLFLT *box_line_widths, const PLINT *line_colors, const PLINT *line_styles, const PLFLT *line_widths, const PLINT *symbol_colors, const PLFLT *symbol_scales, const PLINT *symbol_numbers, const char *const *symbols)
void | colorbar (PLFLT *p_colorbar_width, PLFLT *p_colorbar_height, PLINT opt, PLINT position, PLFLT x, PLFLT y, PLFLT x_length, PLFLT y_length, PLINT bg_color, PLINT bb_color, PLINT bb_style, PLFLT low_cap_color, PLFLT high_cap_color, PLINT cont_color, PLFLT cont_width, PLINT n_labels, PLINT *label_opts, const char *const *label, PLINT n_axes, const char *const *axis_opts, PLFLT *ticks, PLINT *sub_ticks, PLINT *n_values, const PLFLT *const *values)
void | lightsource (PLFLT x, PLFLT y, PLFLT z)
void | line (PLINT n, const PLFLT *x, const PLFLT *y)
void | line3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z)
void | lsty (PLINT lin)
void | map (PLMAPFORM_callback mapform, const char *name, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy)
void | mapline (PLMAPFORM_callback mapform, const char *name, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, const PLINT *plotentries, PLINT nplotentries)
void | mapstring (PLMAPFORM_callback mapform, const char *name, const char *string, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, const PLINT *plotentries, PLINT nplotentries)
void | maptex (PLMAPFORM_callback mapform, const char *name, PLFLT dx, PLFLT dy, PLFLT just, const char *text, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, PLINT plotentry)
void | mapfill (PLMAPFORM_callback mapform, const char *name, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, const PLINT *plotentries, PLINT nplotentries)
void | meridians (PLMAPFORM_callback mapform, PLFLT dlong, PLFLT dlat, PLFLT minlong, PLFLT maxlong, PLFLT minlat, PLFLT maxlat)
void | mesh (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt)
void | meshc (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, const PLFLT *clevel, PLINT nlevel)
void | mtex (const char *side, PLFLT disp, PLFLT pos, PLFLT just, const char *text)
void | mtex3 (const char *side, PLFLT disp, PLFLT pos, PLFLT just, const char *text)
void | plot3d (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, bool side)
void | plot3dc (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, const PLFLT *clevel, PLINT nlevel)
void | plot3dcl (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, const PLFLT *clevel, PLINT nlevel, PLINT ixstart, PLINT ixn, const PLINT *indexymin, const PLINT *indexymax)
void | surf3d (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, const PLFLT *clevel, PLINT nlevel)
void | surf3dl (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, const PLFLT *clevel, PLINT nlevel, PLINT ixstart, PLINT ixn, const PLINT *indexymin, const PLINT *indexymax)
PLINT | parseopts (int *p_argc, char **argv, PLINT mode)
void | pat (PLINT nlin, const PLINT *inc, const PLINT *del)
void | path (PLINT n, PLFLT x1, PLFLT y1, PLFLT x2, PLFLT y2)
void | poin (PLINT n, const PLFLT *x, const PLFLT *y, PLINT code)
void | poin3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z, PLINT code)
void | poly3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z, const bool *draw, bool ifcc)
void | prec (PLINT setp, PLINT prec)
void | psty (PLINT patt)
void | ptex (PLFLT x, PLFLT y, PLFLT dx, PLFLT dy, PLFLT just, const char *text)
void | ptex3 (PLFLT wx, PLFLT wy, PLFLT wz, PLFLT dx, PLFLT dy, PLFLT dz, PLFLT sx, PLFLT sy, PLFLT sz, PLFLT just, const char *text)
PLINT | translatecursor (PLGraphicsIn *gin)
void | replot (void)
void | schr (PLFLT def, PLFLT scale)
void | scmap0n (PLINT ncol0)
void | scmap1n (PLINT ncol1)
void | scmap1_range (PLFLT min_color, PLFLT max_color)
void | gcmap1_range (PLFLT &min_color, PLFLT &max_color)
void | scmap0 (const PLINT *r, const PLINT *g, const PLINT *b, PLINT ncol0)
void | scmap0a (const PLINT *r, const PLINT *g, const PLINT *b, const PLFLT *a, PLINT ncol0)
void | scmap1 (const PLINT *r, const PLINT *g, const PLINT *b, PLINT ncol1)
void | scmap1a (const PLINT *r, const PLINT *g, const PLINT *b, const PLFLT *a, PLINT ncol1)
void | scmap1l (bool itype, PLINT npts, const PLFLT *intensity, const PLFLT *coord1, const PLFLT *coord2, const PLFLT *coord3, const bool *alt_hue_path=NULL)
void | scmap1la (bool itype, PLINT npts, const PLFLT *intensity, const PLFLT *coord1, const PLFLT *coord2, const PLFLT *coord3, const PLFLT *a, const bool *alt_hue_path=NULL)
void | scol0 (PLINT icol0, PLINT r, PLINT g, PLINT b)
void | scol0a (PLINT icol0, PLINT r, PLINT g, PLINT b, PLFLT a)
void | scolbg (PLINT r, PLINT g, PLINT b)
void | scolbga (PLINT r, PLINT g, PLINT b, PLFLT a)
void | scolor (PLINT color)
void | scompression (PLINT compression)
void | sdev (const char *devname)
void | gdev (char *devname)
void | sdidev (PLFLT mar, PLFLT aspect, PLFLT jx, PLFLT jy)
void | sdimap (PLINT dimxmin, PLINT dimxmax, PLINT dimymin, PLINT dimymax, PLFLT dimxpmm, PLFLT dimypmm)
void | sdiori (PLFLT rot)
void | sdiplt (PLFLT xmin, PLFLT ymin, PLFLT xmax, PLFLT ymax)
void | sdiplz (PLFLT xmin, PLFLT ymin, PLFLT xmax, PLFLT ymax)
void | sesc (char esc)
void | setcontlabelparam (PLFLT offset, PLFLT size, PLFLT spacing, PLINT active)
void | setcontlabelformat (PLINT lexp, PLINT sigdig)
void | sfam (PLINT fam, PLINT num, PLINT bmax)
void | sfci (PLUNICODE fci)
void | sfnam (const char *fnam)
void | sdevdata (void *data)
void | sfont (PLINT family, PLINT style, PLINT weight)
void | shade (const PLFLT *const *a, PLINT nx, PLINT ny, PLDEFINED_callback defined, PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLFLT sh_width, PLINT min_color, PLFLT min_width, PLINT max_color, PLFLT max_width, PLFILL_callback fill, bool rectangular, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | shades (const PLFLT *const *a, PLINT nx, PLINT ny, PLDEFINED_callback defined, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, const PLFLT *clevel, PLINT nlevel, PLFLT fill_width, PLINT cont_color, PLFLT cont_width, PLFILL_callback fill, bool rectangular, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | shade (Contourable_Data &d, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLFLT sh_width, PLINT min_color, PLFLT min_width, PLINT max_color, PLFLT max_width, bool rectangular, Coord_Xformer *pcxf)
void | fshade (PLFLT(*f2eval)(PLINT, PLINT, PLPointer), PLPointer f2eval_data, PLFLT(*c2eval)(PLINT, PLINT, PLPointer), PLPointer c2eval_data, PLINT nx, PLINT ny, PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLFLT sh_width, PLINT min_color, PLFLT min_width, PLINT max_color, PLFLT max_width, PLFILL_callback fill, bool rectangular, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | slabelfunc (PLLABEL_FUNC_callback label_func, PLPointer label_data)
void | smaj (PLFLT def, PLFLT scale)
void | smem (PLINT maxx, PLINT maxy, void *plotmem)
void | smema (PLINT maxx, PLINT maxy, void *plotmem)
void | smin (PLFLT def, PLFLT scale)
void | sori (PLINT ori)
void | spage (PLFLT xp, PLFLT yp, PLINT xleng, PLINT yleng, PLINT xoff, PLINT yoff)
void | spause (bool pause)
void | spal0 (const char *filename)
void | spal1 (const char *filename, bool interpolate=true)
void | sstrm (PLINT strm)
void | ssub (PLINT nx, PLINT ny)
void | ssym (PLFLT def, PLFLT scale)
void | star (PLINT nx, PLINT ny)
void | start (const char *devname, PLINT nx, PLINT ny)
void | stransform (PLTRANSFORM_callback coordinate_transform, PLPointer coordinate_transform_data)
void | string (PLINT n, const PLFLT *x, const PLFLT *y, const char *string)
void | string3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z, const char *string)
void | stripc (PLINT *id, const char *xspec, const char *yspec, PLFLT xmin, PLFLT xmax, PLFLT xjump, PLFLT ymin, PLFLT ymax, PLFLT xlpos, PLFLT ylpos, bool y_ascl, bool acc, PLINT colbox, PLINT collab, const PLINT colline[], const PLINT styline[], const char *legline[], const char *labx, const char *laby, const char *labtop)
void | stripa (PLINT id, PLINT pen, PLFLT x, PLFLT y)
void | stripd (PLINT id)
void | image (const PLFLT *const *data, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT Dxmin, PLFLT Dxmax, PLFLT Dymin, PLFLT Dymax)
void | imagefr (const PLFLT *const *data, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT valuemin, PLFLT valuemax, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | styl (PLINT nms, const PLINT *mark, const PLINT *space)
void | svpa (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax)
void | sxax (PLINT digmax, PLINT digits)
void | sxwin (PLINT window_id)
void | syax (PLINT digmax, PLINT digits)
void | sym (PLINT n, const PLFLT *x, const PLFLT *y, PLINT code)
void | szax (PLINT digmax, PLINT digits)
void | text (void)
void | timefmt (const char *fmt)
void | vasp (PLFLT aspect)
void | vpas (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT aspect)
void | vpor (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax)
void | vsta (void)
void | w3d (PLFLT basex, PLFLT basey, PLFLT height, PLFLT xmin0, PLFLT xmax0, PLFLT ymin0, PLFLT ymax0, PLFLT zmin0, PLFLT zmax0, PLFLT alt, PLFLT az)
void | width (PLFLT width)
void | wind (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax)
void | xormod (bool mode, bool *status)
void | seed (unsigned int s)
PLFLT | randd (void)
void | gFileDevs (const char ***p_menustr, const char ***p_devname, int *p_ndev)
void | sKeyEH (void(*KeyEH)(PLGraphicsIn *, void *, int *), void *KeyEH_data)
void | sbopH (void(*handler)(void *, int *), void *handlier_data)
void | seopH (void(*handler)(void *, int *), void *handlier_data)
void | sError (PLINT *errcode, char *errmsg)
void | sexit (int(*handler)(const char *))
PLFLT | f2eval2 (PLINT ix, PLINT iy, PLPointer plf2eval_data)
PLFLT | f2eval (PLINT ix, PLINT iy, PLPointer plf2eval_data)
PLFLT | f2evalr (PLINT ix, PLINT iy, PLPointer plf2eval_data)
void | ClearOpts (void)
void | ResetOpts (void)
PLINT | MergeOpts (PLOptionTable *options, const char *name, const char **notes)
void | SetUsage (char *program_string, char *usage_string)
PLINT | setopt (const char *opt, const char *optarg)
int | SetOpt (const char *opt, const char *optarg)
void | OptUsage (void)
void | gfile (FILE **p_file)
void | sfile (FILE *file)
void | gesc (char *p_esc)
void | cmd (PLINT op, void *ptr)
PLINT | FindName (char *p)
char * | FindCommand (char *fn)
void | GetName (char *dir, char *subdir, char *filename, char **filespec)
PLINT | GetInt (char *s)
PLFLT | GetFlt (char *s)
void | Static2dGrid (PLFLT_NC_MATRIX zIliffe, PLFLT_VECTOR zStatic, PLINT nx, PLINT ny)
void | Alloc2dGrid (PLFLT_NC_MATRIX *f, PLINT nx, PLINT ny)
void | Free2dGrid (PLFLT **f, PLINT nx, PLINT ny)
void | MinMax2dGrid (PLFLT_MATRIX f, PLINT nx, PLINT ny, PLFLT *fmax, PLFLT *fmin)
void | hlsrgb (PLFLT h, PLFLT l, PLFLT s, PLFLT *p_r, PLFLT *p_g, PLFLT *p_b)
void | rgbhls (PLFLT r, PLFLT g, PLFLT b, PLFLT *p_h, PLFLT *p_l, PLFLT *p_s)
PLINT | GetCursor (PLGraphicsIn *plg)

## Private Member Functions
void | InitStream ()

## Private Attributes
int | m_width
| Width of dc/plot area. More...
int | m_height
| Height of dc/plot area. More...
int | m_style
| style of this plot More...
bool | m_created

## Additional Inherited Members

## Detailed Description

wxPLplotstream is inherited from plstream, which is the C++ interface

Definition at line 47 of file wxPLplotstream.h.

## Constructor & Destructor Documentation

## ◆ wxPLplotstream() [1/2]

wxPLplotstream::wxPLplotstream | ( |  | ) |

Constructor.

Definition at line 41 of file wxPLplotstream.cpp.

## ◆ wxPLplotstream() [2/2]

wxPLplotstream::wxPLplotstream | ( | wxDC * | dc,
|  | int | width,
|  | int | height,
|  | int | style = `wxPLPLOT_NONE`
| ) |  |

Constructor.

Constructor of wxPLplotstream class which is inherited from plstream.

Definition at line 34 of file wxPLplotstream.cpp.

## ◆ ~wxPLplotstream()

wxPLplotstream::~wxPLplotstream | ( |  | ) |

Destructor, although we have no resources to free.

Definition at line 89 of file wxPLplotstream.cpp.

## Member Function Documentation

## ◆ AppendBuffer()

void wxPLplotstream::AppendBuffer | ( | void * | buffer,
|  | size_t | size
| ) |  |

Append a buffer of plplot commands.

Definition at line 132 of file wxPLplotstream.cpp.

## ◆ Create()

void wxPLplotstream::Create | ( | wxDC * | dc,
|  | int | width,
|  | int | height,
|  | int | style
| ) |  |

Called from the constructor or can be called by the user if the default constructor is used.

Definition at line 49 of file wxPLplotstream.cpp.

## ◆ ImportBuffer()

void wxPLplotstream::ImportBuffer | ( | void * | buffer,
|  | size_t | size
| ) |  |

Import a buffer of plplot commands.

Definition at line 123 of file wxPLplotstream.cpp.

## ◆ InitStream()

void wxPLplotstream::InitStream | ( |  | ) |
| private

## ◆ IsValid()

bool wxPLplotstream::IsValid | ( |  | ) |

Definition at line 147 of file wxPLplotstream.cpp.

## ◆ RenewPlot()

void wxPLplotstream::RenewPlot | ( |  | ) |

Redo plot and update dc.

Replot everything.

Definition at line 118 of file wxPLplotstream.cpp.

## ◆ set_stream()

void wxPLplotstream::set_stream | ( | void |  | ) |
| virtual

Calls some code before every PLplot command.

This is the overloaded set_stream() function, where we could have some.

Reimplemented from plstream.

Definition at line 98 of file wxPLplotstream.cpp.

## ◆ SetDC()

void wxPLplotstream::SetDC | ( | wxDC * | dc | ) |

Set a new dc to write to.

Set the DC to be used by the stream. This will initiate a replot, unless.

Definition at line 82 of file wxPLplotstream.cpp.

## ◆ SetFixedAspectRatio()

void wxPLplotstream::SetFixedAspectRatio | ( | bool | fixed | ) |

Set Fixed aspect ratio of the plot.

Definition at line 141 of file wxPLplotstream.cpp.

## ◆ SetSize()

void wxPLplotstream::SetSize | ( | int | width,
|  | int | height
| ) |  |

Set new size of plot area.

Call this method if the size of the dc changed (because of resizing)

Definition at line 107 of file wxPLplotstream.cpp.

## Member Data Documentation

## ◆ m_created

bool wxPLplotstream::m_created
| private

Definition at line 71 of file wxPLplotstream.h.

## ◆ m_height

int wxPLplotstream::m_height
| private

Height of dc/plot area.

Definition at line 69 of file wxPLplotstream.h.

## ◆ m_style

int wxPLplotstream::m_style
| private

style of this plot

Definition at line 70 of file wxPLplotstream.h.

## ◆ m_width

int wxPLplotstream::m_width
| private

Width of dc/plot area.

Definition at line 68 of file wxPLplotstream.h.

The documentation for this class was generated from the following files:

- wxPLplotstream.h
- wxPLplotstream.cpp